Package: iemisctext
Title: Irucka Embry's Miscellaneous Text Collection
Version: 1.0.1
Depends: R (>= 3.5.0)
Suggests: install.load, tm, knitr, rmarkdown, xopen, spelling, formatR,
        data.table, ggwordcloud, cffr, bibtex (>= 0.5.0)
Author: Irucka Embry [aut, cre]
Maintainer: Irucka Embry <iembry@ecoccs.com>
Description: An eclectic collection of short stories and poetry with topics on
    climate strange, connecting the geopolitical dots, the myth of us versus
    them, and the idiocy of war. Please refer to the COPYRIGHTS file and the
    text_citation.cff file for the reference copyright information and for the
    complete citations of the reference sources, respectively.
URL: https://gitlab.com/iembry/iemisctext
BugReports: https://gitlab.com/iembry/iemisctext/-/issues
License: Artistic License 2.0
Copyright: file COPYRIGHTS
Language: en-US
Encoding: UTF-8
LazyData: true
LazyDataCompression: xz
VignetteBuilder: knitr
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-05-31 17:51:48 UTC; xbyri
Repository: CRAN
Date/Publication: 2024-06-01 10:33:22 UTC
Built: R 4.6.0; ; 2026-04-25 19:39:03 UTC; unix

# iemisctext

R data package containing an eclectic collection of the following written pieces: &ldquo;Appeal to Womanhood Throughout the World&rdquo; By Julia Ward Howe, &ldquo;The War Prayer&rdquo; by Mark Twain, &ldquo;War Is A Racket&rdquo; by Major General Smedley Butler, &ldquo;The Mask of Anarchy: Written on the Occasion of the Massacre at Manchester&rdquo; by Percy Bysshe Shelley, &ldquo;Connect the D.O.T.S.&rdquo; by Obiora Embry, &ldquo;Untitled: Climate Strange&rdquo; by Irucka Ajani Embry, and &ldquo;Untitled: Us versus Them or People Screwing over Other People (as we all live on one Earth and there is no &ldquo;us versus them&rdquo; in the actual Ultimate Reality}&rdquo; by Irucka Ajani Embry.  

Please refer to the text_citation.cff file for the reference citations and to the COPYRIGHTS file for the reference copyright information.  



# Installation

```R
install.packages("iemisctext")
```


# Help

With credit due to the `matlab` package, for a complete list of functions and the package DESCRIPTION file, use:  

```R
library(help = "iemisctext")
```



# Vignette Viewing

If you wish to browse the `iemisctext` Vignettes, please copy-and-paste the following code into R:  

```R
library(iemisctext)

utils::browseVignettes("iemisctext")
```


# Package Contents

This package currently contains 7 datasets:  

* `anarchy`: &ldquo;The Mask of Anarchy: Written on the Occasion of the Massacre at Manchester&rdquo; By Percy Bysshe Shelley
* `war_prayer`: &ldquo;The War Prayer&rdquo; By Mark Twain
* `war_racket`: &ldquo;War Is A Racket&rdquo; By Major General Smedley Butler
* `connect_dots`: &ldquo;Connect the D.O.T.S.&rdquo; By Obiora Embry
* `us_them`: &ldquo;Untitled: Us versus Them or People Screwing over Other People (as we all live on one Earth and there is no &ldquo;us versus them&rdquo; in the actual Ultimate Reality}&rdquo; By Irucka Ajani Embry
* `climate_strange`: &ldquo;Untitled: Climate Strange&rdquo; By Irucka Ajani Embry
* `appeal_womanhood_world`: &ldquo;Appeal to Womanhood Throughout the World&rdquo; By Julia Ward Howe



# Examples (see more examples in the vignettes)

```R
install.load::load_package("tm", "iemisctext")
# load needed packages using the load_package function from the install.load
# package (it is assumed that you have already installed these packages)


# Examples
# metadata for each work

data(appeal_womanhood_world)
meta(appeal_womanhood_world[[1]])
DublinCore(appeal_womanhood_world[[1]])


data(anarchy)
meta(anarchy[[1]])
DublinCore(anarchy[[1]])


data(war_prayer)
meta(war_prayer[[1]])
DublinCore(war_prayer[[1]])


data(war_racket)
meta(war_racket[[1]])
DublinCore(war_racket[[1]])


data(connect_dots)
meta(connect_dots[[1]])
DublinCore(connect_dots[[1]])


data(us_them)
meta(us_them[[1]])
DublinCore(us_them[[1]])


data(climate_strange)
meta(climate_strange[[1]])
DublinCore(climate_strange[[1]])
```



# Disclaimer

This software is provided &ldquo;AS IS&rdquo;. See the Artistic License 2.0 for more information.  



# License

iemisctext is distributed under the Artistic License 2.0, as stated in the DESCRIPTION file. For more info, see [Artistic License 2.0 - The Perl and Raku Foundation](https://www.perlfoundation.org/artistic-license-20.html). Previously, iemisctext was distributed under the GPL >= 3. The Artistic License 2.0 is compatible with the GPL.  



# Copyright

Some of the content of iemisctext is copyrighted under the CC BY-ND 4.0 license, as stated in the COPYRIGHTS file. For more info, see [Attribution-NoDerivatives 4.0 International page](https://creativecommons.org/licenses/by-nd/4.0/).  

Some of the content of iemisctext is copyrighted under the CC BY-ND 3.0 license, as stated in the COPYRIGHTS file. For more info, see [Attribution-NoDerivatives 4.0 International page](https://creativecommons.org/licenses/by-nd/3.0/).  

The remaining content in iemisctext is copyrighted under the CC0 license, the full license text is included in the COPYRIGHTS file. For more info, see [CC0 1.0 Universal page](https://creativecommons.org/publicdomain/zero/1.0/legalcode).  



# Donations Accepted

If you want to support the continued development of this and my other R packages, feel free to:  

<p><script src="https://liberapay.com/iaembry/widgets/button.js"></script>
<noscript><a href="https://liberapay.com/iaembry/donate"><img alt="Donate using Liberapay" src="https://liberapay.com/assets/widgets/donate.svg"></a></noscript></p>

# Data source
# Untitled: Climate Strange By Irucka Ajani Embry, which is an excerpt of "Balancing the Rift: ReCONNECTualizing the Pasenture", ISBN 978-0-9914994-0-3. See \url{https://www.questionuniverse.com/books/balancing-the-rift.html}.


library("tm")

climate_strange <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/Climate-Strange.txt"

# create as a VCorpus
climate_strange <- VCorpus(URISource(climate_strange))

# manage the metadata
DublinCore(climate_strange[[1]], "creator") <- "Irucka Ajani Embry"

meta(climate_strange[[1]], tag = "topics") <- c("Global", "Solar System", "Climate", "Global Warming", "Global Cooling", "Weather Manipulation/Modification", "Science", "Eugenics", "Genetic Engineering", "Hidden", "Reality", "Politics", "Global", "History", "Love", "Peace", "Freedom", "Truth", "Connections")

DublinCore(climate_strange[[1]], tag = "id") <- "Climate-Strange_corpus"

DublinCore(climate_strange[[1]], tag = "format") <- "text"

DublinCore(climate_strange[[1]], tag = "title") <- "Untitled: Climate Strange"

DublinCore(climate_strange[[1]], tag = "date") <- 2014

DublinCore(climate_strange[[1]], tag = "description") <- "Irucka Ajani Embry challenges the nature of Reality and the expressions of material science (Eugenics, Genetic Engineering, Global Warming, etc.)."

DublinCore(climate_strange[[1]], tag = "language") <- "en-US"

DublinCore(climate_strange[[1]], tag = "publisher") <- "Questioning the Universe Publishing"

DublinCore(climate_strange[[1]], tag = "rights") <- "Creative Commons Attribution-NoDerivatives 4.0 International license (CC BY-ND 4.0)"


# Save Corpus as a data object
save(climate_strange, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/climate_strange.rda")

# write the Corpus
writeCorpus(climate_strange, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

# Data source
# War Is A Racket By Major General Smedley Butler. See \url{https://archive.org/details/WarIsARacket} and \url{https://ratical.org/ratville/CAH/warisaracket.html}.


library("tm")

war_racket <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/War-Is-A-Racket-book.txt"

# create as a VCorpus
war_racket <- VCorpus(URISource(war_racket))

# manage the metadata
DublinCore(war_racket[[1]], "creator") <- "Major General Smedley Butler"

meta(war_racket[[1]], tag = "topics") <- c("Politics", "USA", "History", "War", "Racket", "Profits", "Lies", "Intervention")

DublinCore(war_racket[[1]], tag = "id") <- "War-Is-A-Racket-book_corpus"

DublinCore(war_racket[[1]], tag = "format") <- "text"

DublinCore(war_racket[[1]], tag = "title") <- "War Is A Racket"

DublinCore(war_racket[[1]], tag = "date") <- 1935

DublinCore(war_racket[[1]], tag = "description") <- "Major General Smedley Butler describes how war is and has always been a racket."

DublinCore(war_racket[[1]], tag = "language") <- "en-US"

DublinCore(war_racket[[1]], tag = "publisher") <- "Round Table Press"

DublinCore(war_racket[[1]], tag = "rights") <- "CC0"


# Save Corpus as a data object
save(war_racket, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/war_racket.rda")

# write the Corpus
writeCorpus(war_racket, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

# Data source
# The Mask of Anarchy: Written on the Occasion of the Massacre at Manchester By Percy Bysshe Shelley. See \url{https://knarf.english.upenn.edu/PShelley/anarchy.html}.


library("tm")

anarchy <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/The-Mask-of-Anarchy.txt"

# create as a VCorpus
anarchy <- VCorpus(URISource(anarchy))

# manage the metadata
DublinCore(anarchy[[1]], "creator") <- "Percy Bysshe Shelley"

meta(anarchy[[1]], tag = "topics") <- c("War", "Peterloo Massacre", "English", "History", "Rich", "Poor", "Nonviolent Resistance")

DublinCore(anarchy[[1]], tag = "id") <- "The-Mask-of-Anarchy_corpus"

DublinCore(anarchy[[1]], tag = "format") <- "text"

DublinCore(anarchy[[1]], tag = "title") <- "The Mask of Anarchy"

DublinCore(anarchy[[1]], tag = "date") <- 1832

DublinCore(anarchy[[1]], tag = "description") <- "Percy Bysshe Shelley expresses his outrage at the Peterloo Massacre of 1819."

DublinCore(anarchy[[1]], tag = "language") <- "en"

DublinCore(anarchy[[1]], tag = "publisher") <- "Edward Moxon"

DublinCore(anarchy[[1]], tag = "rights") <- "CC0"


# Save Corpus as a data object
save(anarchy, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/anarchy.rda")

# write the Corpus
writeCorpus(anarchy, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

# Data source
# Appeal to Womanhood Throughout the World By Julia Ward Howe. See \url{https://www.loc.gov/resource/rbpe.07400300}.


library("tm")

appeal_womanhood_world <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/Appeal-Womanhood-World.txt"

# create as a VCorpus
appeal_womanhood_world <- VCorpus(URISource(appeal_womanhood_world))

# manage the metadata
DublinCore(appeal_womanhood_world[[1]], "creator") <- "Julia Ward Howe"

meta(appeal_womanhood_world[[1]], tag = "topics") <- c("Women", "Men", "Worldwide", "War", "Peace", "Grief")

DublinCore(appeal_womanhood_world[[1]], tag = "id") <- "Appeal-Womanhood-World-book_corpus"

DublinCore(appeal_womanhood_world[[1]], tag = "format") <- "text"

DublinCore(appeal_womanhood_world[[1]], tag = "title") <- "Appeal to Womanhood Throughout the World"

DublinCore(appeal_womanhood_world[[1]], tag = "date") <- "September 1870"

DublinCore(appeal_womanhood_world[[1]], tag = "description") <- "Julia Ward Howe asks that Christian women all over the world come together to start a movement for global peace and unity."

DublinCore(appeal_womanhood_world[[1]], tag = "language") <- "en-US"

DublinCore(appeal_womanhood_world[[1]], tag = "rights") <- "CC0"


# Save Corpus as a data object
save(appeal_womanhood_world, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/appeal_womanhood_world.rda")

# write the Corpus
writeCorpus(appeal_womanhood_world, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus/")

# Data source
# Connect the D.O.T.S. By Obiora Embry, which is an excerpt of "Expanding Horizons Through Creative Expressions: Reflections and Thoughts Related to the Struggle for Peace, Sustainability, Equality, and the Search for Humanity", ISBN 978-0-9897507-0-7. See \url{https://www.embrybooks.org/books/expanding-horizons/}.


library("tm")

connect_dots <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/Connect-the-Dots.txt"

# create as a VCorpus
connect_dots <- VCorpus(URISource(connect_dots))

# manage the metadata
DublinCore(connect_dots[[1]], "creator") <- "Obiora Embry"

meta(connect_dots[[1]], tag = "topics") <- c("marijuana", "marihuana", "hemp", "gasoline", "petroleum", "industry,
automobile", "vehicle", "Ford", "Henry Ford", "Diesel", "Rudolph Diesel", "1900", "1890", "ethanol", "peanut oil", "biodiesel,
alternative", "car", "van", "SUV", "cannabis", "Sir Percy Cox", "Cox", "Britain", "Iraq", "Iran", "South Africa,
racism", "propaganda", "Mexican", "Black", "Blacks", "Model T", "World's Fair Exposition", "technology", "Ottoman
Empire", "Middle East", "Red Line Agreement", "Near East Development Corporation", "oil", "petrochemical,
textile", "paint", "paper", "lumber", "Marihuana Tax Act", "04/20", "Controlled Substances ACT", "Patriot ACT,
RAVE ACT", "Mother Earth", "state-sponsored terrorism", "Panama", "Afghanistan", "natural resources", " Ku Klux Klan,
demonize", "Turkish Petroleum Company", "TPC", "British mandate", "petroleum fields", "mandate", "World War I,
solar engine", "agricultural products", "alternative", "oil concessions", "fear", "ignorance", "arrogance", "law,
ACT", "blind", "patriotism", "U.S.", "United States")

DublinCore(connect_dots[[1]], tag = "id") <- "Connect-the-Dots_corpus"

DublinCore(connect_dots[[1]], tag = "format") <- "text"

DublinCore(connect_dots[[1]], tag = "title") <- "Connect the D.O.T.S."

DublinCore(connect_dots[[1]], tag = "date") <- 2013

DublinCore(connect_dots[[1]], tag = "description") <- "In 2006, a continuum still exists that began shortly after World War I when Sir Percy Cox carved up the Ottoman Empire and created the 'Middle East,' find out how that has changed the world that we live in."

DublinCore(connect_dots[[1]], tag = "language") <- "en-US"

DublinCore(connect_dots[[1]], tag = "publisher") <- "Obiora Embry"

DublinCore(connect_dots[[1]], tag = "rights") <- "Creative Commons Attribution-NoDerivs 3.0 Unported license (CC BY-ND 3.0)"


# Save Corpus as a data object
save(connect_dots, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/connect_dots.rda")

# write the Corpus
writeCorpus(connect_dots, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

# Data source
# Untitled: Us versus Them or People Screwing over Other People (as we all live on one Earth and there is no "us versus them" in the actual Ultimate Reality} By Irucka Ajani Embry, which is an excerpt of "Balancing the Rift: ReCONNECTualizing the Pasenture", ISBN 978-0-9914994-0-3. See \url{https://www.questionuniverse.com/books/balancing-the-rift.html}.


library("tm")

us_them <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/Us-versus-Them.txt"

# create as a VCorpus
us_them <- VCorpus(URISource(us_them))

# manage the metadata
DublinCore(us_them[[1]], "creator") <- "Irucka Ajani Embry"

meta(us_them[[1]], tag = "topics") <- c("Politics", "USA", "History", "War", "Drugs", "11 September 2001", "Control", "Government Policy/Propagana", "Freedom", "Responsibility", "Us", "Them")

DublinCore(us_them[[1]], tag = "id") <- "Us-versus-Them_corpus"

DublinCore(us_them[[1]], tag = "format") <- "text"

DublinCore(us_them[[1]], tag = "title") <- "Untitled: Us versus Them or People Screwing over Other People ..."

DublinCore(us_them[[1]], tag = "date") <- 2014

DublinCore(us_them[[1]], tag = "description") <- "Irucka Ajani Embry challenges the ideas of us versus them through a variety of examples."

DublinCore(us_them[[1]], tag = "language") <- "en-US"

DublinCore(us_them[[1]], tag = "publisher") <- "Questioning the Universe Publishing"

DublinCore(us_them[[1]], tag = "rights") <- "Creative Commons Attribution-NoDerivatives 4.0 International license (CC BY-ND 4.0)"


# Save Corpus as a data object
save(us_them, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/us_them.rda")

# write the Corpus
writeCorpus(us_them, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

# Data source
# The War Prayer By Mark Twain. See \url{https://en.wikisource.org/wiki/The_War_Prayer}.


library("tm")

war_prayer <- "/media/xbyri/5A96-9475/repo/iemisctext/inst/data-raw/The-War-Prayer.txt"

# create as a VCorpus
war_prayer <- VCorpus(URISource(war_prayer))

# manage the metadata
DublinCore(war_prayer[[1]], "creator") <- "Mark Twain"

meta(war_prayer[[1]], tag = "topics") <- c("Politics", "USA", "History", "War", "Satire", "Christianity", "Religion")

DublinCore(war_prayer[[1]], tag = "id") <- "The-War-Prayer_corpus"

DublinCore(war_prayer[[1]], tag = "format") <- "text"

DublinCore(war_prayer[[1]], tag = "title") <- "The War Prayer"

DublinCore(war_prayer[[1]], tag = "date") <- 1923

DublinCore(war_prayer[[1]], tag = "description") <- "Mark Twain expresses his outrage at war, especially the misguided motivations for war."

DublinCore(war_prayer[[1]], tag = "language") <- "en-US"

DublinCore(war_prayer[[1]], tag = "publisher") <- "Harper and Brothers"

DublinCore(war_prayer[[1]], tag = "rights") <- "CC0"


# Save Corpus as a data object
save(war_prayer, file = "/media/xbyri/5A96-9475/repo/iemisctext/data/war_prayer.rda")

# write the Corpus
writeCorpus(war_prayer, path = "/media/xbyri/5A96-9475/repo/iemisctext/inst/texts/corpus")

library(cffr)

# convert the bibentry object to a cff object (for a proper citation)
bib <- cff_read("./inst/references/text_sources.bib")

# create the cff object, we can use native pipe now (|>)
# For an in-development package use iemisctext_citation <- cff_create() |> ...
iemisctext_citation <- cff_create("iemisctext") |>
  # Use cff_modify: this would override original references
  cff_modify(references = bib)

# Write the package citation as a .cff file
cff_write(iemisctext_citation, "CITATION.cff")


# Source: https://github.com/ropensci/cffr/issues/71
# error message attempting to write CITATION.cff file from BibTeX file 

## ----warning = FALSE, message = FALSE, tidy = TRUE----------------------------
install.load::load_package("iemisctext", "tm", "data.table", "ggwordcloud")
# load needed packages using the load_package function from the install.load package (it is assumed that you have already installed these packages)


# appeal_womanhood_world
data(appeal_womanhood_world)

# create a document term matrix of appeal_womanhood_world
aww <- DocumentTermMatrix(appeal_womanhood_world, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

aww

# get the word frequency table
aww_tf <- as.data.table(termFreq(appeal_womanhood_world$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(aww_tf$V1, aww_tf$V2)




# anarchy
data(anarchy)

# create a document term matrix of anarchy
ancy <- DocumentTermMatrix(anarchy, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

ancy

# get the word frequency table
ancy_tf <- as.data.table(termFreq(anarchy$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(ancy_tf$V1, ancy_tf$V2)




# war_prayer
data(war_prayer)

# create a document term matrix of war_prayer
wp <- DocumentTermMatrix(war_prayer, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

wp

# get the word frequency table
wp_tf <- as.data.table(termFreq(war_prayer$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(wp_tf$V1, wp_tf$V2)




# war_racket
data(war_racket)

# create a document term matrix of war_racket
wr <- DocumentTermMatrix(war_racket, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

wr

# get the word frequency table
wr_tf <- as.data.table(termFreq(war_racket$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(wr_tf$V1, wr_tf$V2)




# connect_dots
data(connect_dots)

# create a document term matrix of connect_dots
cds <- DocumentTermMatrix(connect_dots, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

cds

# get the word frequency table
cds_tf <- as.data.table(termFreq(connect_dots$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(cds_tf$V1, cds_tf$V2)




# us_them
data(us_them)

# create a document term matrix of us_them
ut <- DocumentTermMatrix(us_them, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

ut

# get the word frequency table
ut_tf <- as.data.table(termFreq(us_them$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(ut_tf$V1, ut_tf$V2)




# climate_strange
data(climate_strange)

# create a document term matrix of climate_strange
cs <- DocumentTermMatrix(climate_strange, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

cs

# get the word frequency table
cs_tf <- as.data.table(termFreq(climate_strange$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(cs_tf$V1, cs_tf$V2)

## ----eval = FALSE, tidy = TRUE------------------------------------------------
#  install.packages(c("iemisctext", "xopen"))
#  # install the packages and their dependencies (including any system dependencies)

## ----eval = FALSE, tidy = TRUE------------------------------------------------
#  # load the required packages
#  install.load::load_package("iemisctext", "xopen")
#  # load needed packages using the load_package function from the install.load package (it is assumed that you have already installed these packages)

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "Connect_the_Dots.pdf", package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "Appeal-womanhood-throughout-the-world.pdf",
#  package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "The-War-Prayer.pdf", package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "War-Is-A-Racket.pdf", package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "The-Mask-of-Anarchy.pdf", package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "Untitled_Us-versus-Them-or-People-Screwing-over-Other-People.pdf"
#  , package = "iemisctext"))
#  

## ----eval = FALSE-------------------------------------------------------------
#  
#  xopen(system.file("texts", "pdf", "Untitled_Climate-Strange.pdf", package = "iemisctext"))
#  

---
title: "iemisctext: PDF Version of Written Pieces"
author: "Irucka Embry"
date: "`r Sys.Date()`"
lang: en-us
urlcolor: blue
output:
  rmarkdown::pdf_document:
    highlight: kate
    toc: true
    latex_engine: xelatex
vignette: >
  %\VignetteIndexEntry{iemisctext PDF Version of Written Pieces}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

\bigskip

## Install the packages

Note: If you would like to view the PDFs, you will need to copy and paste the following command in R first to make sure you have all the packages and their dependencies installed:  

```{r eval = FALSE, tidy = TRUE}
install.packages(c("iemisctext", "xopen"))
# install the packages and their dependencies (including any system dependencies)
```

\bigskip
\bigskip

## Load the packages

Note: If you would like to view the PDFs, you will need to copy and paste the following commands in R first to make sure you have all the packages loaded:  

```{r eval = FALSE, tidy = TRUE}
# load the required packages
install.load::load_package("iemisctext", "xopen")
# load needed packages using the load_package function from the install.load package (it is assumed that you have already installed these packages)
```

\bigskip
\bigskip

# View PDF version of each written piece

If you would like to view the PDFs, copy-and-paste the following R code into the R console:  

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "Connect_the_Dots.pdf", package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "Appeal-womanhood-throughout-the-world.pdf",
package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "The-War-Prayer.pdf", package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "War-Is-A-Racket.pdf", package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "The-Mask-of-Anarchy.pdf", package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "Untitled_Us-versus-Them-or-People-Screwing-over-Other-People.pdf"
, package = "iemisctext"))

```

```{r eval = FALSE}

xopen(system.file("texts", "pdf", "Untitled_Climate-Strange.pdf", package = "iemisctext"))

```

\bigskip
\bigskip

# EcoC²S Links

EcoC²S Home -- https://www.ecoccs.com/  
About EcoC²S -- https://www.ecoccs.com/about-ecoc2s.html  
Services -- https://www.ecoccs.com/services.html  
1 Stop Shop -- https://www.ecoccs.com/other-biz.html  
Products -- https://www.questionuniverse.com/products.html  
Media -- https://www.ecoccs.com/media.html  
Resources -- https://www.ecoccs.com/resources.html  
R Trainings and Resources provided by EcoC²S (Irucka Embry, E.I.T.) -- https://www.ecoccs.com/rtraining.html  

\bigskip
\bigskip

# Copyright and License

All R code written by Irucka Embry is distributed under the GPL-3 (or later) license, see the [GNU General Public License {GPL} page](https://www.gnu.org/licenses/gpl-3.0.html).  

All written content originally created by Irucka Embry is copyrighted under the Creative Commons Attribution-ShareAlike 4.0 International license. All other written content retains the copyright of the original author(s).  

This work is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International license](https://creativecommons.org/licenses/by-sa/4.0/).  

---
title: "iemisctext: Example Analysis using the tm package"
author: "Irucka Embry"
date: "`r Sys.Date()`"
lang: en-us
urlcolor: blue
output:
  rmarkdown::pdf_document:
    highlight: kate
    toc: true
    latex_engine: xelatex
vignette: >
  %\VignetteIndexEntry{iemisctext Examples using the tm package}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

\bigskip

# Examples

```{r, warning = FALSE, message = FALSE, tidy = TRUE}
install.load::load_package("iemisctext", "tm", "data.table", "ggwordcloud")
# load needed packages using the load_package function from the install.load package (it is assumed that you have already installed these packages)


# appeal_womanhood_world
data(appeal_womanhood_world)

# create a document term matrix of appeal_womanhood_world
aww <- DocumentTermMatrix(appeal_womanhood_world, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

aww

# get the word frequency table
aww_tf <- as.data.table(termFreq(appeal_womanhood_world$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(aww_tf$V1, aww_tf$V2)




# anarchy
data(anarchy)

# create a document term matrix of anarchy
ancy <- DocumentTermMatrix(anarchy, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

ancy

# get the word frequency table
ancy_tf <- as.data.table(termFreq(anarchy$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(ancy_tf$V1, ancy_tf$V2)




# war_prayer
data(war_prayer)

# create a document term matrix of war_prayer
wp <- DocumentTermMatrix(war_prayer, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

wp

# get the word frequency table
wp_tf <- as.data.table(termFreq(war_prayer$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(wp_tf$V1, wp_tf$V2)




# war_racket
data(war_racket)

# create a document term matrix of war_racket
wr <- DocumentTermMatrix(war_racket, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

wr

# get the word frequency table
wr_tf <- as.data.table(termFreq(war_racket$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(wr_tf$V1, wr_tf$V2)




# connect_dots
data(connect_dots)

# create a document term matrix of connect_dots
cds <- DocumentTermMatrix(connect_dots, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

cds

# get the word frequency table
cds_tf <- as.data.table(termFreq(connect_dots$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(cds_tf$V1, cds_tf$V2)




# us_them
data(us_them)

# create a document term matrix of us_them
ut <- DocumentTermMatrix(us_them, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

ut

# get the word frequency table
ut_tf <- as.data.table(termFreq(us_them$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(ut_tf$V1, ut_tf$V2)




# climate_strange
data(climate_strange)

# create a document term matrix of climate_strange
cs <- DocumentTermMatrix(climate_strange, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc")))

cs

# get the word frequency table
cs_tf <- as.data.table(termFreq(climate_strange$content[[1]]$content, control = list(removePunctuation = TRUE, stopwords = TRUE, weighting = function(x) weightSMART(x, spec = "ntc"))), keep.rownames = TRUE)

# create a word cloud
ggwordcloud(cs_tf$V1, cs_tf$V2)
```

\bigskip
\bigskip
\bigskip
\bigskip

# EcoC²S Links

EcoC²S Home -- https://www.ecoccs.com/  
About EcoC²S -- https://www.ecoccs.com/about-ecoc2s.html  
Services -- https://www.ecoccs.com/services.html  
1 Stop Shop -- https://www.ecoccs.com/other-biz.html  
Products -- https://www.questionuniverse.com/products.html  
Media -- https://www.ecoccs.com/media.html  
Resources -- https://www.ecoccs.com/resources.html  
R Trainings and Resources provided by EcoC²S (Irucka Embry, E.I.T.) -- https://www.ecoccs.com/rtraining.html  

\bigskip
\bigskip

# Copyright and License

All R code written by Irucka Embry is distributed under the GPL-3 (or later) license, see the [GNU General Public License {GPL} page](https://www.gnu.org/licenses/gpl-3.0.html).  

All written content originally created by Irucka Embry is copyrighted under the Creative Commons Attribution-ShareAlike 4.0 International license. All other written content retains the copyright of the original author(s).  

This work is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International license](https://creativecommons.org/licenses/by-sa/4.0/).  
